Subject: bug#2675: 23.0.91; unnecessary vc-next-action conflicts in vc-dir directory

From: Miles Bader <[email-masked]>
Date: Sun, 15 Mar 2009 11:46:57 +0900

[Note: I have Dan's patch for fixing whole-directory vc-dir commit in
Git applied, though I don't think it should affect the following, as it
relates to final commit.]

If I have a vc-dir buffer showing a tree with some "up-to-date" entries
from previously committed files, and also some entries for newly changed
files:

   VC backend : Git
   Working dir: /tmp/zonk/
   Branch     : master

                            ./
        up-to-date          newf2
        up-to-date          newf3
        unregistered        newf4
        up-to-date          ppling

Then hitting "v" on the first line of the buffer gives the following
error:

   vc-dir-deduce-fileset: /tmp/zonk/newf4:unregistered clashes with /tmp/zonk/newf2:up-to-date

This seems like a silly and pointless error -- it should probably simply
ignore any "up-to-date" entries when checking for conflicts.

[I know, I can use the "x" command to flush those up-to-date entries -- 
but I shouldn't have to, and not every user will know about that command
(or know to use it, given the slightly obscure error message).]

Thanks,

-Miles

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/usr/local/share/emacs/23.0.91/etc/DEBUG for instructions.

In GNU Emacs 23.0.91.11 (x86_64-unknown-linux-gnu, GTK+ Version 2.15.5)
 of 2009-03-13 on catnip
Windowing system distributor `The X.Org Foundation', version 11.0.10599902
Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ja_JP.UTF-8
  value of $XMODIFIERS: @im=SCIM
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: VC dir

Minor modes in effect:
  diff-auto-refine-mode: t
  shell-dirtrack-mode: t
  rcirc-track-minor-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
r a p C-x C-s C-x k <return> C-x C-v n e w f 2 <return> 
w h o o <return> C-x C-s C-x k <return> v C-n C-n C-n 
C-n C-n v C-c C-c C-u C-p C-u C-p v x C-x C-v n e w 
f 3 <return> o o o o <return> C-x C-s C-x k <return> 
C-a v C-n C-n C-n C-n C-n C-n C-u C-p C-u C-p v v v 
v v C-n C-n v C-n C-n C-n C-n v C-c C-c C-u C-p C-u 
C-p v c o m 2 <return> C-c C-c C-x b q SPC <return> 
h e y y <escape> > h e y y . . . <return> u p SPC n 
o w SPC C-a C-k C-\ i ' m SPC h e r e . . . SPC : - 
) <return> i SPC s a w SPC y o u r SPC m s g SPC o 
n SPC f a c e b o o k SPC s o SPC i SPC g u e s s SPC 
y o u SPC g o t SPC d i m s u m ! ! <return> y u m 
m m m m m m <return> <down-mouse-1> <mouse-1> C-c C-SPC 
C-x b C-g C-x b <return> C-x b z o SPC n SPC C-g C-x 
C-v M-p <escape> h <return> <escape> x v C-g C-x b 
* v c SPC - d i SPC r SPC SPC / SPC <return> C-n C-n 
C-n C-n C-x C-v n e w 4 <backspace> f 4 <return> p 
l o o <return> C-x C-s C-x k <return> C-p C-p C-p v 
<escape> x r e c o SPC <escape> h r e p o SPC r SPC 
e m SPC <return>

Recent messages:
Quit
xding
Quit
Making completion list... [3 times]
(New file)
Saving file /tmp/zonk/newf4...
Wrote /tmp/zonk/newf4
xding
vc-dir-deduce-fileset: /tmp/zonk/newf4:unregistered clashes with /tmp/zonk/newf2:up-to-date
Making completion list... [2 times]

-- 
`To alcohol!  The cause of, and solution to,
 all of life's problems' --Homer J. Simpson